List a target's reviews (paginated)
curl --request GET \
--url https://api.next.orenda.finance/v1/ai-reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.next.orenda.finance/v1/ai-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/ai-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"reviewId": "<string>",
"targetId": "<string>",
"schemaId": "<string>",
"schemaVersion": 123,
"report": {
"schemaVersion": 1,
"subject": "<string>",
"summary": "<string>",
"checks": [
{
"ruleId": "<string>",
"label": "<string>",
"detail": "<string>",
"section": "<string>"
}
],
"followUpActions": [
"<string>"
]
},
"documents": [
{
"key": "<string>",
"pages": 123,
"lastModified": "2023-11-07T05:31:56Z"
}
],
"reviewedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}API Reference
List a target's reviews (paginated)
Lists reviews for a target, newest-first, paginated via the ProgramTargetIndex GSI (scoped to programId#targetType#targetId, so it never scans across programs). Pass the previous response’s nextCursor back as cursor to page.
GET
/
v1
/
ai-reviews
List a target's reviews (paginated)
curl --request GET \
--url https://api.next.orenda.finance/v1/ai-reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.next.orenda.finance/v1/ai-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/ai-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": [
{
"reviewId": "<string>",
"targetId": "<string>",
"schemaId": "<string>",
"schemaVersion": 123,
"report": {
"schemaVersion": 1,
"subject": "<string>",
"summary": "<string>",
"checks": [
{
"ruleId": "<string>",
"label": "<string>",
"detail": "<string>",
"section": "<string>"
}
],
"followUpActions": [
"<string>"
]
},
"documents": [
{
"key": "<string>",
"pages": 123,
"lastModified": "2023-11-07T05:31:56Z"
}
],
"reviewedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Program to operate on. Back-office convention — a BO token is not scoped to one program.
Environment selector; defaults to production (false).
Available options:
true, false What is being reviewed. application is the primary path today.
Available options:
application, risk, transactions customerId / applicationId / accountId, per targetType.
Opaque pagination cursor from a prior response's nextCursor.
Required range:
1 <= x <= 100⌘I